package com.vendor.loader.sparse;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.sparse.SparseHeader;
import java.io.File;
import java.io.IOException;
import java.io.RandomAccessFile;

public class SparseFileAgent {
  static final int SEPARATE_CHUNKLEN = 5242880;
  
  public static boolean isAndroidSparseFile(File file) {
    if (!file.exists())
      return false; 
    if (file.length() < 28L)
      return false; 
    RandomAccessFile randFile = null;
    SparseHeader header = new SparseHeader();
    try {
      randFile = new RandomAccessFile(file, "r");
      byte[] data = new byte[28];
      int readLen = randFile.read(data);
      if (readLen <= 0)
        return false; 
      header.fromBytes(data);
    } catch (IOException e) {
      return false;
    } finally {
      try {
        if (randFile != null)
          randFile.close(); 
      } catch (IOException e) {
        return false;
      } 
    } 
    if (header.magic == -316211398 && header.major_version == 1 && header.file_hdr_sz == 28)
      return true; 
    return false;
  }
}
